/* Metronomos - Copyright (C) 2005 bakunin - Andrea Marchesini 
 *                                   <bakunin@autistici.org>
 *
 * This source code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Public License as published 
 * by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 *
 * This source code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * Please refer to the GNU Public License for more details.
 *
 * You should have received a copy of the GNU Public License along with
 * this source code; if not, write to:
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#else
# error Use configure; make; make install
#endif

#include "metronomos.h"

static void *__metronomos_signal_internal;
static void signal_exit (int signo);

void
signal_off (struct metronomos *metro)
{
  signal (SIGINT, signal_exit);
  signal (SIGQUIT, signal_exit);
  signal (SIGTERM, signal_exit);
  signal (SIGKILL, signal_exit);
}

/* If SIGTERM or other... */
static void
signal_exit (int signo)
{
  fprintf (stderr, "\n\nForced exit... bye :)\n\n");
  audio_close (__metronomos_signal_internal);
  exit (0);
}

/* EOF */
